Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005555 [JEDI VCL] 00 JVCL Components major always 2011-04-19 19:03 2011-09-21 14:10
Reporter im0rtality View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005555: TJvAviCapture.EnumDrivers does not clear list before adding new entries
Description Summary says all.


possible fix:

JvAviCapture.pas

procedure TJvAVICapture.EnumDrivers;
var
  I: Integer;
  DeviceName: array [0..MAX_PATH] of Char;
  DeviceVersion: array [0..MAX_PATH] of Char;
begin
  // no more than 10 drivers in the system (cf Win32 API)
  Drivers.Clear();
  for I := 0 to 9 do
    if capGetDriverDescription(I, DeviceName, SizeOf(DeviceName), DeviceVersion, SizeOf(DeviceVersion)) then
      Drivers.Add(DeviceName);
end;


Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018680)
obones (administrator)
2011-06-08 15:37

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2011-04-19 19:03 im0rtality New Issue
2011-06-07 17:54 obones Status new => acknowledged
2011-06-08 15:37 obones Note Added: 0018680
2011-06-08 15:37 obones Status acknowledged => resolved
2011-06-08 15:37 obones Fixed in Version => Daily / SVN
2011-06-08 15:37 obones Resolution open => fixed
2011-06-08 15:37 obones Assigned To => obones
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker